<?php
function clanname($text) {
$text = html_entity_decode(trim($text), ENT_QUOTES, 'UTF-8');
$text = str_replace(" ","-", $text);
$text = str_replace("--","-", $text);
$text = str_replace("_","",$text);
$text = str_replace("@","-",$text);
$text = str_replace("/","-",$text);
$text = str_replace("\"","",$text);
$text = str_replace("'","",$text);
$text = str_replace("<","",$text);
$text = str_replace(">","",$text);
$text = str_replace(",","",$text);
$text = str_replace("?","",$text);
$text = str_replace(";","",$text);
$text = str_replace(".","",$text);
$text = str_replace("[","",$text);
$text = str_replace("]","",$text);
$text=str_replace("(","",$text);
$text=str_replace(")","",$text);
$text = str_replace("́","", $text);
$text = str_replace("̀","", $text);
$text = str_replace("̃","", $text);
$text = str_replace("̣","", $text);
$text = str_replace("̉","", $text);
$text = str_replace("*","",$text);
$text = str_replace("!","",$text);
$text = str_replace("$","-",$text);
$text = str_replace("&","-and-",$text);
$text = str_replace("%","",$text);
$text = str_replace("#","",$text);
$text = str_replace("^","",$text);
$text = str_replace("=","",$text);
$text = str_replace("+","",$text);
$text = str_replace("~","",$text);
$text = str_replace("`","",$text);
$text = preg_replace("/(à|á|ạ|ả|ã|â|ầ|ấ|ậ|ẩ|ẫ|ă|ằ|ắ|ặ|ẳ|ẵ|À|Á|Ạ|Ả|Ã|Â|Ầ|Ấ|Ậ|Ẩ|Ẫ|Ă|Ằ|Ắ|Ặ|Ẳ|Ẵ)/", 'a', $text);
$text = preg_replace("/(è|é|ẹ|ẻ|ẽ|ê|ề|ế|ệ|ể|ễ|È|É|Ẹ|Ẻ|Ẽ|Ê|Ề|Ế|Ệ|Ể|Ễ)/", 'e', $text);
$text = preg_replace("/(ì|í|ị|ỉ|ĩ|Ì|Í|Ị|Ỉ|Ĩ)/", 'i', $text);
$text = preg_replace("/(ò|ó|ọ|ỏ|õ|ô|ồ|ố|ộ|ổ|ỗ|ơ|ờ|ớ|ợ|ở|ỡ|Ò|Ó|Ọ|Ỏ|Õ|Ô|Ồ|Ố|Ộ|Ổ|Ỗ|Ơ|Ờ|Ớ|Ợ|Ở|Ỡ)/", 'o', $text);
$text = preg_replace("/(ù|ú|ụ|ủ|ũ|ư|ừ|ứ|ự|ử|ữ|Ù|Ú|Ụ|Ủ|Ũ|Ư|Ừ|Ứ|Ự|Ử|Ữ)/", 'u', $text);
$text = preg_replace("/(đ|Đ)/", 'd', $text);
$text = preg_replace("/(À|Á|Ạ|Ả|Ã|Â|Ầ|Ấ|Ậ|Ẩ|Ẫ|Ă|Ằ|Ắ|Ặ|Ẳ|Ẵ)/", 'A', $text);
$text = preg_replace("/(È|É|Ẹ|Ẻ|Ẽ|Ê|Ề|Ế|Ệ|Ể|Ễ)/", 'E', $text);
$text = preg_replace("/(Ì|Í|Ị|Ỉ|Ĩ)/", 'I', $text);
$text = preg_replace("/(Ò|Ó|Ọ|Ỏ|Õ|Ô|Ồ|Ố|Ộ|Ổ|Ỗ|Ơ|Ờ|Ớ|Ợ|Ở|Ỡ)/", 'O', $text);
$text = preg_replace("/(Ù|Ú|Ụ|Ủ|Ũ|Ư|Ừ|Ứ|Ự|Ử|Ữ)/", 'U', $text);
$text = preg_replace("/(Đ)/", 'D', $text);
return $text;
}
function username($text) {
$text = html_entity_decode(trim($text), ENT_QUOTES, 'UTF-8');
$text = str_replace(" ","-", $text);
$text = str_replace("--","-", $text);
$text = str_replace("@","-",$text);
$text = str_replace("/","-",$text);
$text = str_replace("\"","",$text);
$text = str_replace("'","",$text);
$text = str_replace("_","",$text);
$text = str_replace("<","",$text);
$text = str_replace(">","",$text);
$text = str_replace(",","",$text);
$text = str_replace("?","",$text);
$text = str_replace(";","",$text);
$text = str_replace(".","",$text);
$text = str_replace("[","",$text);
$text = str_replace("]","",$text);
$text=str_replace("(","",$text);
$text=str_replace(")","",$text);
$text = str_replace("́","", $text);
$text = str_replace("̀","", $text);
$text = str_replace("̃","", $text);
$text = str_replace("̣","", $text);
$text = str_replace("̉","", $text);
$text = str_replace("*","",$text);
$text = str_replace("!","",$text);
$text = str_replace("$","-",$text);
$text = str_replace("&","-and-",$text);
$text = str_replace("%","",$text);
$text = str_replace("#","",$text);
$text = str_replace("^","",$text);
$text = str_replace("=","",$text);
$text = str_replace("+","",$text);
$text = str_replace("~","",$text);
$text = str_replace("`","",$text);
$text = preg_replace("/(à|á|ạ|ả|ã|â|ầ|ấ|ậ|ẩ|ẫ|ă|ằ|ắ|ặ|ẳ|ẵ|À|Á|Ạ|Ả|Ã|Â|Ầ|Ấ|Ậ|Ẩ|Ẫ|Ă|Ằ|Ắ|Ặ|Ẳ|Ẵ)/", 'a', $text);
$text = preg_replace("/(è|é|ẹ|ẻ|ẽ|ê|ề|ế|ệ|ể|ễ|È|É|Ẹ|Ẻ|Ẽ|Ê|Ề|Ế|Ệ|Ể|Ễ)/", 'e', $text);
$text = preg_replace("/(ì|í|ị|ỉ|ĩ|Ì|Í|Ị|Ỉ|Ĩ)/", 'i', $text);
$text = preg_replace("/(ò|ó|ọ|ỏ|õ|ô|ồ|ố|ộ|ổ|ỗ|ơ|ờ|ớ|ợ|ở|ỡ|Ò|Ó|Ọ|Ỏ|Õ|Ô|Ồ|Ố|Ộ|Ổ|Ỗ|Ơ|Ờ|Ớ|Ợ|Ở|Ỡ)/", 'o', $text);
$text = preg_replace("/(ù|ú|ụ|ủ|ũ|ư|ừ|ứ|ự|ử|ữ|Ù|Ú|Ụ|Ủ|Ũ|Ư|Ừ|Ứ|Ự|Ử|Ữ)/", 'u', $text);
$text = preg_replace("/(đ|Đ)/", 'd', $text);
$text = strtolower($text);
return $text;
}
?>